Bug 13770 - Bad: При старте tightvnc-server падает - не находит fonts.
: Bad: При старте tightvnc-server падает - не находит fonts.
Status: CLOSED FIXED
: Branch 4.0
(All bugs in Branch 4.0/tightvnc-server)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-21 14:19 by
Modified: 2008-02-02 11:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-21 14:19:16
Пакет: tightvnc-server-1.3.9-alt2
При старте сервер fonts падает и выдает сообщения:
...
21/12/07 13:15:46 Listening for VNC connections on TCP port 5901
21/12/07 13:15:46 Listening for HTTP connections on TCP port 5801
21/12/07 13:15:46   URL http://beza.crk.vsi.net:5801
Font directory '/usr/X11R6/lib/X11/fonts/misc/' not found - ignoring
Font directory '/usr/X11R6/lib/X11/fonts/Speedo/' not found - ignoring
Font directory '/usr/X11R6/lib/X11/fonts/Type1/' not found - ignoring
Font directory '/usr/X11R6/lib/X11/fonts/75dpi/' not found - ignoring
Font directory '/usr/X11R6/lib/X11/fonts/100dpi/' not found - ignoring

Fatal server error:
could not open default font 'fixed'
                                                                       [FAILED]
Установлены следующие fonts:
fonts-bitmap-misc-7.0.0-alt1
fonts-ttf-ms-1.0-alt1.M40.1
fonts-otf-oldstandard-0.9-alt1
fonts-ttf-latex-xft-0.1-alt3
fonts-ttf-j2se-sun-1.6.0.01-alt2
val-fonts-ttf-1.0-alt14
fonts-type1-urw-1.0.7pre41-alt3
fonts-ttf-dejavu-2.16-alt1

В реализации Altlinux Desktop 4.0 в каталоге /usr/X11R6/lib/X11/fonts/ ни одного 
шрифта не обнаружено. Размещаются по пути /usr/share/fonts/*
------- Comment #1 From 2007-12-21 14:21:15 -------
Перекладываю в branch версию из сизифа.
Посмотрите - там будет версия alt7
------- Comment #2 From 2007-12-25 12:25:16 -------
Проблема решена в tightvnc-server 1.3.9-alt7